package com.pavis.admin.aigc.core.agent.tool;

import org.springframework.ai.tool.ToolCallback;

public class ToolCallBackContext {
    private final ToolCallback toolCallback;

    private final ToolCallBiFunctionDef functionInstance;

    public ToolCallBackContext(ToolCallback toolCallback, ToolCallBiFunctionDef functionInstance) {
        this.toolCallback = toolCallback;
        this.functionInstance = functionInstance;
    }

    public ToolCallback getToolCallback() {
        return toolCallback;
    }

    public ToolCallBiFunctionDef getFunctionInstance() {
        return functionInstance;
    }
}
